import os
from cryptography.fernet import Fernet
from dotenv import load_dotenv

load_dotenv()  # Load variables from .env

encryption_key = os.getenv("ENCRYPTION_KEY")

# Safety check
if not encryption_key:
    raise ValueError("ENCRYPTION_KEY not found in environment variables!")

fernet = Fernet(encryption_key)

def encrypt_value(value):
    return fernet.encrypt(value.encode()).decode()

def decrypt_value(encrypted_value):
    return fernet.decrypt(encrypted_value.encode()).decode()
